Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align.helper
Class AligMatEl

    java.lang.Object
      org.biojava.bio.structure.align.helper.IndexPair
          org.biojava.bio.structure.align.helper.AligMatEl

    public class AligMatEl

extends IndexPair

Constructor Summary
`AligMatEl()`

Method Summary
`int` | `getContig()`
`int` | `getValue()`
`void` | `setContig(int contig)`
`void` | `setValue(int value)`
`String` | `toString()`

Methods inherited from class org.biojava.bio.structure.align.helper.IndexPair
`getCol, getRow, setCol, setRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AligMatEl

    public AligMatEl()

Method Detail

### getContig

    public int getContig()

### setContig

    public void setContig(int contig)

### getValue

    public int getValue()

### setValue

    public void setValue(int value)

### toString

    public String toString()

  Overrides:
    `toString` in class `IndexPair`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD